groovy.model

## Class FormModel

- java.lang.Object
- - groovy.model.FormModel

-     public class FormModel
      extends Object

  Represents a number of field models which can be ValueModel, PropertyModel, TableModel, TreeModel or nested FormModel instances
  Version:
    $Revision$
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormModel()`
    `FormModel(Map fieldModels)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addModel(String name, Object model)`
    `Object` | `getModel(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormModel

          public FormModel()

    - #### FormModel

          public FormModel(Map fieldModels)

  - ### Method Detail

    - #### addModel

          public void addModel(String name,
                      Object model)

    - #### getModel

          public Object getModel(String name)